=========================================================
Array Values 
=======================================================
Array   J45   But  Servo  LED  Sen/Act Servo Servo Port   Clear Dust  Dust  Port 
Number  Port  Pin  Pin    Pin  Pin     Close Open  Active Relay Light Relay Type
0       1     2    3      4    5       6     7     8      9     10    11    12  
=======================================================
0,      1,    0,   1,     31,  A11,    100,  300,  1,     0,    0,    0,    1},  // * 12 disk Sand - Sensor (110)      
1,      2,    0,   2,     32,  A12,    350,  550,  1,     0,    0,    0,    1},  // * Belt Sander  - Sensor (110)      
2,      3,    0,   3,     33,  A13,    200,  338,  1,     0,    0,    0,    1},  // * Drum Sander  - Sensor (110)
3,      4,    0,   4,     34,  A14,    115,  300,  1,     0,    0,    0,    1},  // * 18 Band-saw   - Sensor (220)
4,      5,    0,   5,     35,  A15,    120,  238,  1,     0,    0,    0,    1},  // * Drill-Press   - Sensor (110)
5,      6,    0,   6,     36,  A10,    70,   250,  1,     0,    0,    0,    1},  // 4 inch Overhead Gate - Sensor (110)
6,      7,    47,  6,     37,  0,      70,   250,  1,     0,    0,    0,    2},  // 4 inch Overhead Gate - button  
7,      8,    48,  8,     38,  0,      100,  410,  1,     0,    0,    0,    2},  // 4 inch Flex hose - button
8,      9,    49,  9,     39,  0,      130,  225,  1,     0,    0,    0,    4},  // CNC Mill - Run Relay 
9,      10,   0,   0,     0,   0,      0,    0,    0,     0,    0,    0,    5},  // Open - TBD
10,     11,   0,   0,     0,   0,      0,    0,    0,     0,    0,    0,    5},  // Open - TBD
11,     12,   0,   14,    15,  0,      0,    0,    1,     16,   17,   18,   0},  // Dust Collector
12,     0,    20,  0,     0,   0,      0,    0,    0,     0,    0,    0,    2},  // CNC Mill - button 
13,     0,    5,   0,     0,   0,      0,    0,    1,     0,    0,    0,    3},  // A Control - Button (Green)
14,     0,    6,   0,     0,   0,      0,    0,    1,     0,    0,    0,    3},  // B Control - Button (Blue)
15,     0,    7,   0,     0,   0,      0,    0,    1,     0,    0,    0,    3},  // C Control - Button (Yellow)
16,     0,    24,  0,     0,   0,      0,    0,    0,     0,    0,    0,    5}   // Reset + Reset - Buttons (Red)
    
  ------------------------------------------------------- 
  Keystone Wiring
  =======================================================
Pin ... Test Cable .. Inbound .. Dust Box .. Control Box .. Mega Pin
 1 .... Red ......... 0 ........ Brown ..... Blue ......... 14
 2 .... Green ....... 5v+ ...... Red ....... Brown ........ 5V+
 3 .... Yellow ...... 0.16v .... Orange .... Open ......... -
 4 .... Blue ........ Neg ...... Black ..... Black ........ Neg 
 5 .... Purple ...... 0 ........ Green ..... White ........ 15
 6 .... Orange ...... 0.16 ..... White ..... Black ........ 16
 7 .... Black ....... 0 ........ Blue ...... Purple ....... 17
 8 .... Brown ....... 0.5v ..... Yellow .... Gray ......... 18

   ======================================================= 
  Servos Connection             RJ45 Pin
         Brown = Action/Sencor - Pin 8
    Blue&White = +5V           - Pin 7
          Blue = Negative      - Pin 4
  ------------------------------------------------------- 
  Button & Servo Connection
          Blue = Negative
         Green = +5V
        Orange = LED
  Orange/White = Action/Sencor
  ------------------------------------------------------- 
  Dust Collector Connection
          Blue = Negative
         Green = +5V
        Orange = IR - Action/Sencor
         Brown = Red Light relay - Action/Sencor
  Orange/White = DC Power On Relay - Action/Sencor
  -------------------------------------------------------
  Array Number - The array group postion number
  J45 Port Number - The J45 Port Number on the control box
  Button Pin Number - Pin number for each button 
  Servo Pin Number - Pin number on the servo sheild
  LED pin Number - Pin number for LEDs 
  Sencor or Action - Pin number for the port (button or sencor)
  Servo Closed Step Number - Step number to Close the servo gate
  Servo Open Step Number - Step number to Open the servo gate
  Port Active - Indacates the port is used 0 = no & 1 = yes
  infraRed (IR) Pin - Pin for the IR reader for saw dust hight in the bin
  Dust Collector Light Pin - Light Pin 
  Dust Collector Relay Pin - Pin to power on/off the Dust Collector
  Port Type (0 1 2 3) - how is the port being used (0 = output, 1 = sencor, 2 = Button, 3 = Control) 
  
  ======================================================= 
